Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.control
Class ControlEvent

    java.lang.Object
      org.hyperic.hq.events.AbstractEvent
          org.hyperic.hq.control.ControlEvent

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LoggableInterface, ResourceEventInterface

    public class ControlEvent

extends AbstractEvent
implements java.io.Serializable, ResourceEventInterface, LoggableInterface

See Also:
  Serialized Form

Constructor Summary
`ControlEvent(java.lang.String subject, int resourcetype, java.lang.Integer resourceId, java.lang.String action, boolean scheduled, long dateScheduled, java.lang.String status)` Creates a new instance of ControlEvent

Method Summary
`java.lang.String` | `getAction()` Getter for property action.
`long` | `getDateScheduled()` Getter for property dateScheduled
`java.lang.String` | `getLevelString()`
`java.lang.String` | `getMessage()`
`AppdefEntityID` | `getResource()` Getter for property resource.
`boolean` | `getScheduled()` Getter for property scheduled
`java.lang.String` | `getStatus()` Getter for property status
`java.lang.String` | `getSubject()` Getter for property subject.
`void` | `setAction(java.lang.String action)` Setter for property action.
`void` | `setDateScheduled(long dateScheduled)` Setter for property dateScheduled
`void` | `setMessage(java.lang.String message)`
`void` | `setScheduled(boolean scheduled)` Setter for property scheduled
`void` | `setStatus(java.lang.String status)` Setter for property status
`void` | `setSubject(java.lang.String subject)` Setter for property subject.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.hyperic.hq.events.AbstractEvent
`equals, getId, getInstanceId, getTimestamp, hashCode, isLoggingSupported, setId, setInstanceId, setTimestamp`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ControlEvent

    public ControlEvent(java.lang.String subject,
                        int resourcetype,
                        java.lang.Integer resourceId,
                        java.lang.String action,
                        boolean scheduled,
                        long dateScheduled,
                        java.lang.String status)

  Creates a new instance of ControlEvent

Method Detail

### getAction

    public java.lang.String getAction()

  Getter for property action.

  Returns:
    Value of property action.

### setAction

    public void setAction(java.lang.String action)

  Setter for property action.

  Parameters:
    `action` - New value of property action.

### getSubject

    public java.lang.String getSubject()

  Getter for property subject.

  Specified by:
    `getSubject` in interface `LoggableInterface`
  Returns:
    Value of property subject.

### setSubject

    public void setSubject(java.lang.String subject)

  Setter for property subject.

  Parameters:
    `subject` - New value of property subject.

### getResource

    public AppdefEntityID getResource()

  Getter for property resource.

  Specified by:
    `getResource` in interface `ResourceEventInterface`
  Returns:
    Value of property resource.

### getScheduled

    public boolean getScheduled()

  Getter for property scheduled

### setScheduled

    public void setScheduled(boolean scheduled)

  Setter for property scheduled

### getDateScheduled

    public long getDateScheduled()

  Getter for property dateScheduled

### setDateScheduled

    public void setDateScheduled(long dateScheduled)

  Setter for property dateScheduled

### getStatus

    public java.lang.String getStatus()

  Getter for property status

### setStatus

    public void setStatus(java.lang.String status)

  Setter for property status

### toString

    public java.lang.String toString()

  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the object.

### getLevelString

    public java.lang.String getLevelString()

  Specified by:
    `getLevelString` in interface `LoggableInterface`

### getMessage

    public java.lang.String getMessage()

  Returns:
    The message associated with the result (status) of the control action

### setMessage

    public void setMessage(java.lang.String message)

  Parameters:
    `message` - The message associated with the result (status) of the control action

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.